import 'record.dart';

/// ##### `UsernameResult`
/// Class Returns Username Result when selecting Username
class UsernameResult {
  final bool isValid;
  final String prefix;
  final String mnemonic;
  final String username;

  UsernameResult({
    required this.username,
    required this.isValid,
    required this.prefix,
    required this.mnemonic,
  });

  /// Creates Valid Username Result and Fetch's Prefix and Mnemonic from `MobileService`
  factory UsernameResult.isValidFetch(String username, String prefix, String mnemonic) =>
      UsernameResult(username: username, isValid: true, prefix: prefix, mnemonic: mnemonic);

  /// Creates Invalid Username Result
  factory UsernameResult.isInvalid() => UsernameResult(username: "-", isValid: false, prefix: "-", mnemonic: "-");
}


/// ##### `NamebaseRecordResult`
/// Class Returns `HSRecord` and Status on `NamebaseResult.hasName()`
class NamebaseRecordResult {
  final bool exists;
  final DNSRecord record;

  NamebaseRecordResult({required this.exists, required this.record});
}
